Informace o nástroji SQL Server Client Network Utility

SQL Server Client Network Utility je grafický nástroj, který umožňuje provádět následující činnosti:

  • Vytvářet síťová protokolová připojení k zadaným serverům a měnit výchozí síťový protokol.

  • Zobrazit informace o síťových knihovnách aktuálně nainstalovaných v systému.

  • Zobrazit verzi knihovny DB-Library aktuálně nainstalovanou v systému a nastavit výchozí možnosti knihovny DB-Library.

Další informace o nástroji SQL Server Client Network Utility naleznete v části Managing Clients (Správa klientů) databáze informací SQL Server Books Online.

©1988-2000 Microsoft Corporation. Všechna práva vyhrazena.


General Tab

Zašlete nám váš názor na tuto stránku. Nápověda k nástroji Client Network Utility

Karta Obecné

V této části jsou uvedeny možnosti, které jsou k dispozici na kartě Obecné, a jejich funkce.

Možnosti

Zakázané protokoly

Označuje dostupné protokoly, které nejsou aktuálně v počítači povoleny. Chcete-li protokol povolit, klepněte na něj a potom na tlačítko Povolit.

Povolené protokoly podle pořadí

Označuje protokoly, které jsou aktuálně v počítači povoleny. Protokoly jsou uvedeny v pořadí, v jakém se je systém pokusí použít k připojení.

Povolit

Povolí protokol, který je aktuálně zvýrazněn v seznamu Zakázané protokoly. Tuto funkci lze také provést poklepáním na protokol.

Zakázat

Zakáže protokol, který je aktuálně zvýrazněn v seznamu Povolené protokoly podle pořadí. Tuto funkci lze také provést poklepáním na protokol.

Tlačítka Nahoru a Dolů

Přesune zvýrazněný protokol v seznamu nahoru nebo dolů. To vám umožňuje změnit pořadí, v jakém se síťová knihovna pokusí použít protokoly k připojení.

Vlastnosti

Zobrazí výchozí vlastnosti připojení pro zvýrazněný protokol.

Vynutit šifrování protokolem

Povolí šifrování protokolu pomocí vrstvy Secure Sockets Layer (SSL).

Povolit protokol sdílený v paměti

Povolí protokol sdílený v paměti pro připojení v rámci stejného počítače.

Příbuzná témata

Přidání konfigurace síťové knihovny

Odstranění konfigurace síťové knihovny

Úpravy konfigurace síťové knihovny

Ověření, zda SQL Server provádí sledování pomocí protokolu AppleTalk


Named Pipes Protocol Default Value Setup

Nastavení výchozích hodnot protokolu Pojmenované kanály

V této části jsou uvedeny možnosti a jejich funkce, které jsou k dispozici v dialogovém okně Nastavení výchozích hodnot síťového protokolu pro protokol Pojmenované kanály.

Možnosti

Výchozí kanál

Určuje výchozí kanál, pomocí kterého se síťová knihovna protokolu Pojmenované kanály pokusí připojit k cílové instanci serveru Microsoft® SQL Server™.

Příbuzná témata

Přidání konfigurace síťové knihovny

Vytvoření aliasu k alternativnímu kanálu

Odstranění konfigurace síťové knihovny

Úpravy konfigurace síťové knihovny


TCP/IP Protocol Default Value Setup

Nastavení výchozích hodnot protokolu TCP/IP

V této části jsou uvedeny možnosti a jejich funkce, které jsou k dispozici v dialogovém okně Nastavení výchozích hodnot síťového protokolu pro protokol TCP/IP.

Možnosti

Výchozí port

Určuje port, pomocí kterého se síťová knihovna protokolu TCP/IP pokusí připojit k cílové instanci serveru Microsoft® SQL Server™. Výchozí hodnota je 1433.

Příbuzná témata

Přidání konfigurace síťové knihovny

Konfigurace klienta k použití protokolu TCP/IP

Odstranění konfigurace síťové knihovny

Úpravy konfigurace síťové knihovny


Multiprotocol Protocol Default Value Setup

Nastavení výchozích hodnot pro více protokolů

V této části jsou uvedeny možnosti a jejich funkce, které jsou k dispozici v dialogovém okně Nastavení výchozích hodnot síťového protokolu pro více protokolů.

Možnosti

Protokoly RPC

Seznam protokolů, pomocí kterých se víceprotokolová síťová knihovna pokusí připojit k cílové instanci serveru Microsoft® SQL Server™. Víceprotokolová síťová knihovna vyzkouší podle zadaného pořadí všechny protokoly, dokud připojení není vytvořeno. Názvy jednotlivých protokolů jsou uvedeny níže. Každý protokol by měl být oddělen mezerou.

Protokol | Název
Více protokolů | nlrpc
Pojmenované kanály | nacn_np
TCP/IP | nacn_ip_tcp
IPX/SPX | nacn_spx

Příbuzná témata

Přidání konfigurace síťové knihovny

Konfigurace klienta k použití víceprotokolové síťové knihovny

Odstranění konfigurace síťové knihovny

Úpravy konfigurace síťové knihovny


NWLink IPX/SPX Protocol Default Value Setup

Nastavení výchozích hodnot protokolu NWLink IPX/SPX

V této části jsou uvedeny možnosti a jejich funkce, které jsou k dispozici v dialogovém okně Nastavení výchozích hodnot síťového protokolu pro protokol NWLink IPX/SPX.

Možnosti

Výchozí síť

Určuje číslo sítě systému NetWare. Výchozí hodnota je 0.

Výchozí port

Určuje číslo soketu. Výchozí hodnota je 33854.

Příbuzná témata

Přidání konfigurace síťové knihovny

Konfigurace klienta k použití síťové knihovny protokolu NWLink IPX/SPX

Odstranění konfigurace síťové knihovny

Úpravy konfigurace síťové knihovny


AppleTalk Protocol Default Value Setup

Nastavení výchozích hodnot protokolu AppleTalk

V této části jsou uvedeny možnosti a jejich funkce, které jsou k dispozici v dialogovém okně Nastavení výchozích hodnot síťového protokolu pro protokol AppleTalk.

Možnosti

Výchozí zóna

Určuje zónu použitou při registraci služby.

Příbuzná témata

Přidání konfigurace síťové knihovny

Konfigurace klienta k použití síťové knihovny protokolu AppleTalk

Odstranění konfigurace síťové knihovny

Úpravy konfigurace síťové knihovny


Banyan VINES Protocol Default Value Setup

Nastavení výchozích hodnot protokolu Banyan VINES

V této části jsou uvedeny možnosti a jejich funkce, které jsou k dispozici v dialogovém okně Nastavení výchozích hodnot síťového protokolu pro protokol Banyan VINES.

Možnosti

Výchozí skupina

Určuje skupinu, k níž služba náleží.

Výchozí organizace

Určuje organizaci, k níž skupina náleží.

Příbuzná témata

Přidání konfigurace síťové knihovny

Konfigurace klienta k použití síťové knihovny protokolu Banyan VINES

Odstranění konfigurace síťové knihovny

Úpravy konfigurace síťové knihovny


VIA Protocol Default Value Setup

Nastavení výchozích hodnot protokolu VIA

V této části jsou uvedeny možnosti a jejich funkce, které jsou k dispozici v dialogovém okně Nastavení výchozích hodnot síťového protokolu pro protokol VIA.

Možnosti

Dodavatel

Určuje dodavatele hardwaru pro použití protokolu VIA.

Výchozí port serveru

Určuje výchozí port serveru. Výchozí hodnota je 0:1433.

Výchozí síťová karta klienta

Určuje výchozí síťovou kartu klienta. Výchozí hodnota je 0.

Příbuzná témata

Přidání konfigurace síťové knihovny

Odstranění konfigurace síťové knihovny

Úpravy konfigurace síťové knihovny


Alias Tab

Karta Alias

V této části jsou uvedeny možnosti, které jsou k dispozici na kartě Alias, a jejich funkce.

Možnosti

Konfigurace aliasu serveru

Uvádí informace o aliasech serveru počítačů, k nimž se klient připojuje.

Alias serveru

Označuje alias serveru použitý pro počítač, k němuž se klient připojuje.

Síťová knihovna

Označuje síťovou knihovnu klienta, která slouží k zadání konfigurace.

Parametry připojení

Označuje všechny parametry spojené s adresou připojení pro konfiguraci síťové knihovny.

Přidat

Přidá novou konfiguraci síťové knihovny.

Odebrat

Odebere konfiguraci síťové knihovny.

Upravit

Upraví konfiguraci síťové knihovny.

Příbuzná témata

Přidání konfigurace síťové knihovny

Odstranění konfigurace síťové knihovny

Úpravy konfigurace síťové knihovny

Ověření, zda SQL Server provádí sledování pomocí protokolu AppleTalk


Add (or Edit) Named Pipes Library Configuration

Přidání (nebo úpravy) konfigurace knihovny Pojmenované kanály

V této části jsou uvedeny možnosti a jejich funkce, které jsou k dispozici v dialogovém okně Přidat (nebo upravit) konfiguraci síťové knihovny pro protokol Pojmenované kanály.

Možnosti

Alias serveru

Určuje jedinečný název instance serveru Microsoft® SQL Server™, která sleduje síťovou knihovnu Pojmenované kanály.

Síťové knihovny

Určuje síťovou knihovnu, která bude použita k připojení k serveru. Je vybrán přepínač Pojmenované kanály.

Název serveru

Určuje název serveru cílové instance serveru SQL Server.

Název kanálu

Určuje kanál, pomocí kterého se síťová knihovna Pojmenované kanály pokusí připojit k cílové instanci serveru SQL Server.

Příbuzná témata

Přidání konfigurace síťové knihovny

Vytvoření aliasu k alternativnímu kanálu

Odstranění konfigurace síťové knihovny

Úpravy konfigurace síťové knihovny


Add (or Edit) TCP/IP Library Configuration

Přidání (nebo úpravy) konfigurace knihovny protokolu TCP/IP

V této části jsou uvedeny možnosti a jejich funkce, které jsou k dispozici v dialogovém okně Přidat (nebo upravit) konfiguraci síťové knihovny pro protokol TCP/IP.

Možnosti

Alias serveru

Určuje jedinečný název serveru, na němž je spuštěna instance serveru Microsoft® SQL Server™, která sleduje síťovou knihovnu soketů TCP/IP.

Síťové knihovny

Určuje síťovou knihovnu, která bude použita k připojení k serveru. Je vybrán přepínač TCP/IP.

Název serveru

Určuje instanci serveru SQL Server, která sleduje klienty soketů TCP/IP.

Dynamicky určovat port

Určuje, zda síťová knihovna určí port dynamicky. Port zadaný do pole Číslo portu nebude použit.

Číslo portu

Určuje port, který síťová knihovna protokolu TCP/IP použije při pokusu o připojení k cílové instanci serveru SQL Server. Výchozí hodnota je 1433. Toto číslo portu obecně používá síťová knihovna Windows Sockets pro SQL Server. Ve většině případů se používá výchozí číslo portu. Toto pole je aktivní pouze v případě, že není zaškrtnuto políčko Dynamicky určovat port.

Příbuzná témata

Přidání konfigurace síťové knihovny

Konfigurace klienta k použití protokolu TCP/IP

Odstranění konfigurace síťové knihovny

Úpravy konfigurace síťové knihovny


Add (or Edit) Multiprotocol Library Configuration

Přidání (nebo úpravy) konfigurace víceprotokolové knihovny

V této části jsou uvedeny možnosti a jejich funkce, které jsou k dispozici v dialogovém okně Přidat (nebo upravit) konfiguraci síťové knihovny pro více protokolů.

Možnosti

Alias serveru

Určuje jedinečný název serveru, na němž je spuštěna instance serveru Microsoft® SQL Server™, která sleduje víceprotokolovou síťovou knihovnu.

Síťové knihovny

Určuje síťovou knihovnu, která bude použita k připojení k serveru. Je vybrán přepínač Víceprotokolová.

Název serveru

Určuje instanci serveru SQL Server, která sleduje víceprotokolové klienty.

Další parametry

Určuje další parametry konfigurace víceprotokolové síťové knihovny. Tyto parametry jsou volitelné.

Příbuzná témata

Přidání konfigurace síťové knihovny

Konfigurace klienta k použití víceprotokolové síťové knihovny

Odstranění konfigurace síťové knihovny

Úpravy konfigurace síťové knihovny


Add (or Edit) NWLink IPX/SPX Library Configuration (Service Name)

Přidání (nebo úpravy) konfigurace knihovny protokolu NWLink IPX/SPX (název služby)

V této části jsou uvedeny možnosti a jejich funkce, které jsou k dispozici v dialogovém okně Přidat (nebo upravit) konfiguraci síťové knihovny pro protokol NWLink IPX/SPX.

Možnosti

Alias serveru

Určuje jedinečný název serveru, na němž je spuštěna instance serveru Microsoft® SQL Server™, která sleduje síťovou knihovnu NWLink IPX/SPX.

Síťové knihovny

Určuje síťovou knihovnu, která bude použita k připojení k serveru. Je vybrán přepínač NWLink IPX/SPX.

Určit parametry podle

Označuje způsob zadání parametrů. Je vybrán přepínač Název služby.

Název služby

Určuje názvu počítače se systémem Microsoft Windows NT® 4.0 nebo Windows® 2000, ve kterém je spuštěna instance serveru SQL Server. Tyto informace jsou uloženy ve vazební databázi daného serveru.

Příbuzná témata

Přidání konfigurace síťové knihovny

Konfigurace klienta k použití síťové knihovny protokolu NWLink IPX/SPX

Odstranění konfigurace síťové knihovny

Úpravy konfigurace síťové knihovny


Add (or Edit) NWLink IPX/SPX Library Configuration (Network Address)

Přidání (nebo úpravy) konfigurace knihovny protokolu NWLink IPX/SPX (síťová adresa)

V této části jsou uvedeny možnosti a jejich funkce, které jsou k dispozici v dialogovém okně Přidat (nebo upravit) konfiguraci síťové knihovny pro protokol NWLink IPX/SPX.

Možnosti

Alias serveru

Určuje jedinečný název serveru, na němž je spuštěna instance serveru Microsoft® SQL Server™, která sleduje síťovou knihovnu NWLink IPX/SPX.

Síťové knihovny

Určuje síťovou knihovnu, která bude použita k připojení k serveru. Je vybrán přepínač NWLink IPX/SPX.

Určit parametry podle

Označuje způsob zadání parametrů. Je vybrán přepínač Síťová adresa.

Adresa

Určuje adresu MAC.

Port

Určuje číslo soketu. Výchozí hodnota je 33854.

Síť

Určuje číslo sítě systému NetWare. Výchozí hodnota je 0.

Příbuzná témata

Přidání konfigurace síťové knihovny

Konfigurace klienta k použití síťové knihovny protokolu NWLink IPX/SPX

Odstranění konfigurace síťové knihovny

Úpravy konfigurace síťové knihovny


Add (or Edit) AppleTalk Library Configuration

Přidání (nebo úpravy) konfigurace knihovny protokolu AppleTalk

V této části jsou uvedeny možnosti a jejich funkce, které jsou k dispozici v dialogovém okně Přidat (nebo upravit) konfiguraci síťové knihovny pro protokol AppleTalk.

Možnosti

Alias serveru

Určuje jedinečný název serveru, na němž je spuštěna instance serveru Microsoft® SQL Server™, která sleduje síťovou knihovnu AppleTalk.

Síťové knihovny

Určuje síťovou knihovnu, která bude použita k připojení k serveru. Je vybrán přepínač AppleTalk.

Název objektu

Určuje objekt služby přiřazený správcem systému.

Zóna

Určuje zónu použitou při registraci služby.

Příbuzná témata

Přidání konfigurace síťové knihovny

Konfigurace klienta k použití síťové knihovny protokolu AppleTalk

Odstranění konfigurace síťové knihovny

Úpravy konfigurace síťové knihovny


Add (or Edit) Banyan VINES Library Configuration

Přidání (nebo úpravy) konfigurace knihovny protokolu Banyan VINES

V této části jsou uvedeny možnosti a jejich funkce, které jsou k dispozici v dialogovém okně Přidat (nebo upravit) konfiguraci síťové knihovny pro protokol Banyan VINES.

Možnosti

Alias serveru

Určuje jedinečný název serveru, na němž je spuštěna instance serveru Microsoft® SQL Server™, která sleduje síťovou knihovnu protokolu Banyan VINES.

Síťové knihovny

Určuje síťovou knihovnu, která bude použita k připojení k serveru. Je vybrán přepínač Banyan VINES.

Služba

Určuje název služby StreetTalk pro počítače se standardem PC používané serverem.

Skupina

Určuje skupinu, k níž služba náleží.

Organizace

Určuje organizaci, k níž skupina náleží.

Příbuzná témata

Přidání konfigurace síťové knihovny

Konfigurace klienta k použití síťové knihovny protokolu Banyan VINES

Odstranění konfigurace síťové knihovny

Úpravy konfigurace síťové knihovny


Add (or Edit) VIA Library Configuration

Přidání (nebo úpravy) konfigurace knihovny protokolu VIA

V této části jsou uvedeny možnosti a jejich funkce, které jsou k dispozici v dialogovém okně Přidat (nebo upravit) konfiguraci síťové knihovny pro protokol VIA.

Možnosti

Alias serveru

Určuje jedinečný název serveru, na němž je spuštěna instance serveru Microsoft® SQL Server™, která sleduje síťovou knihovnu protokolu VIA.

Síťové knihovny

Určuje síťovou knihovnu, která bude použita k připojení k serveru. Je vybrán přepínač VIA.

Název serveru

Určuje instanci serveru SQL Server, která sleduje klienty s protokolem VIA.

Číslo portu serveru

Určuje číslo portu serveru, které bude použito pro připojení k instanci serveru SQL Server. Výchozí hodnota je 0:1433.

Příbuzná témata

Přidání konfigurace síťové knihovny

Odstranění konfigurace síťové knihovny

Úpravy konfigurace síťové knihovny


Add (or Edit) Other Library Configurations

Přidání (nebo úpravy) konfigurace jiných knihoven

V této části jsou uvedeny možnosti a jejich funkce, které jsou k dispozici v dialogovém okně Přidat (nebo upravit) konfiguraci síťové knihovny pro jiné protokoly.

Možnosti

Alias serveru

Určuje jedinečný název serveru, na němž je spuštěna instance serveru Microsoft® SQL Server™, která sleduje novou konfiguraci síťové knihovny.

Síťové knihovny

Určuje síťovou knihovnu, která bude použita k připojení k serveru. Je vybrán přepínač Jiné.

Název souboru

Určuje název a umístění souboru DLL síťové knihovny dodané jiným výrobcem.

Parametry

Určuje všechny požadované parametry a jejich formát.

Příbuzná témata

Přidání konfigurace síťové knihovny

Konfigurace klienta k použití nestandardní síťové knihovny

Odstranění konfigurace síťové knihovny

Úpravy konfigurace síťové knihovny


DB-Library Options Tab

Karta Možnosti knihovny DB-Library

V této části jsou uvedeny možnosti dostupné na kartě Možnosti knihovny DB-Library a jejich funkce.

Možnosti

Název souboru

Označuje název souboru a umístění knihovny DB-Library nainstalované v tomto počítači.

Verze

Označuje číslo verze knihovny DB-Library nainstalované v tomto počítači.

Datum

Označuje datum instalace knihovny DB-Library do tohoto počítače.

Velikost

Označuje velikost souboru knihovny DB-Library nainstalované v tomto počítači.

Automatický převod ze standardu ANSI na OEM

Umožní převod znakové sady knihovny DB-Library ze standardu OEM na ANSI při komunikaci se serverem Microsoft® SQL Server™ z klienta a ze standardu ANSI na OEM při komunikaci s klientem ze serveru SQL Server. Ve výchozím nastavení je tato možnost vybrána.

Použít mezinárodní nastavení

Umožní knihovně DB-Library načíst formáty data, času a měny ze systému namísto použití pevně kódovaných parametrů. Tato možnost je ve výchozím nastavení vybrána u klientů pracujících v 32bitových operačních systémech Microsoft Windows®.

Příbuzná témata

Nastavení předvoleb konverze knihovny DB-Library


Network Libraries Tab

Karta Síťové knihovny

V této části jsou uvedeny možnosti dostupné na kartě Síťové knihovny a jejich funkce.

Možnosti

Síťová knihovna

Zobrazí seznam síťových knihoven klienta serveru Microsoft® SQL Server™ nainstalovaných v počítači.

Název souboru knihovny

Zobrazí seznam umístění síťových knihoven klienta serveru SQL Server nainstalovaných v počítači.

Verze

Zobrazí seznam čísel verzí síťových knihoven klienta serveru SQL Server nainstalovaných v počítači.

Datum souboru

Zobrazí seznam dat, kdy byly síťové knihovny klienta serveru SQL Server nainstalovány do počítače.

Velikost

Zobrazí seznam velikostí souborů síťových knihoven klienta serveru SQL Server nainstalovaných v počítači.

Příbuzná témata

Zobrazení čísel verzí knihoven


Správa klientu

Správa klientů

Klient je aplikace uživatelského rozhraní, která používá služby poskytované serverem. Na hostitelský počítač aplikace je odkazováno jako na klientský počítač. Klientský software umožňuje počítačům připojení k síťové instanci serveru Microsoft® SQL Server™.

Klienty serveru SQL Server mohou být například následující aplikace:

  • Zákazníci OLE DB.

    Tyto aplikace používají zprostředkovatele Microsoft OLE DB pro SQL Server nebo zprostředkovatele Microsoft OLE DB pro ODBC k připojení a komunikaci s instancí serveru SQL Server. Zprostředkovatelé OLE DB slouží jako prostředníci mezi instancí serveru SQL Server a klientskými aplikacemi, které využívají data serveru SQL Server jako sadu řádků OLE DB.

  • Aplikace ODBC.

    Tyto aplikace zahrnují klientské nástroje nainstalované na serveru SQL Server, jako například programy SQL Server Enterprise Manager a SQL Query Analyzer a další aplikace používající ovladač ODBC pro SQL Server k připojení a komunikaci s instancí serveru SQL Server.

  • Klienti knihovny DB-Library, včetně příkazu příkazového řádku isql serveru SQL Server a klientů zapsaných v knihovně DB-Library.

Bez ohledu na typ aplikace zahrnuje správa klienta zejména konfiguraci připojení k součástem serveru SQL Server. V závislosti na požadavcích serveru se muže správa klienta pohybovat v rozsahu od pouhého zadávání názvu serveru po vytváření knihovny vlastních konfigurací pro přizpůsobení se prostředí s více servery.


Spuštění nástroje Client Network Utility (systém Windows)

Postup při spuštění nástroje Client Network Utility

  • V nabídce Start přejděte na příkaz Programs (Programy)/Microsoft SQL Server a potom klepněte na položku Nástroj Client Network Utility.


How to display the network library version numbers (Client Network Utility)

Zobrazení čísel verzí síťových knihoven (nástroj Client Network Utility)

Postup při zobrazení čísel verzí knihoven

  • Klepněte na kartu Síťové knihovny.

    Zobrazí se síťová knihovna, název souboru knihovny, verze, datum souboru a velikost.


How to set DB-Library conversion preferences (Client Network Utility)

Nastavení předvoleb konverze knihovny DB-Library (nástroj Client Network Utility)

Poznámka: Tento postup se týká klientů pracujících v 32bitovém operačním systému Microsoft® Windows®.

Postup při nastavení předvoleb konverze knihovny DB-Library

  1. Klepněte na kartu Možnosti knihovny DB-Library.

  2. Zaškrtněte nebo zrušte zaškrtnutí políčka Automatický převod ze standardu ANSI na OEM.

  3. Zaškrtněte nebo zrušte zaškrtnutí políčka Použít mezinárodní nastavení.


Pridání konfigurace sítové knihovny (nástroj Client Network Utility)

Přidání konfigurace síťové knihovny (nástroj Client Network Utility)

Postup při přidání konfigurace síťové knihovny

  1. Klepněte na kartu Alias a potom na tlačítko Přidat.

  2. V dialogovém okně Přidat konfiguraci síťové knihovny vyberte ve skupinovém rámečku Síťové knihovny jednu ze síťových knihoven.

  3. Zadejte alias serveru a všechny požadované informace o parametrech vybrané síťové knihovny.


How to edit a network library configuration (Client Network Utility)

Úprava konfigurace síťové knihovny (nástroj Client Network Utility)

Postup při úpravě konfigurace síťové knihovny

  1. Klepněte na kartu Alias a potom na konfiguraci síťového protokolu, který chcete upravit.

  2. Klepněte na tlačítko Upravit.

  3. V dialogovém okně Upravit konfiguraci síťové knihovny změňte požadované informace.


How to delete a network library configuration (Client Network Utility)

Odstranění konfigurace síťové knihovny (nástroj Client Network Utility)

Postup při odstranění konfigurace síťové knihovny

  1. Klepněte na kartu Alias a potom na konfiguraci síťové knihovny, kterou chcete odstranit.

  2. Klepněte na tlačítko Odebrat.


How to alias a client to an alternate pipe (Client Network Utility)

Vytvoření aliasu klienta k alternativnímu kanálu (nástroj Client Network Utility)

Postup při vytvoření aliasu klienta k alternativnímu kanálu

  1. Klepněte na kartu Alias a potom na tlačítko Přidat.

  2. V dialogovém okně Přidat konfiguraci síťové knihovny klepněte na přepínač Pojmenované kanály.

  3. V okně Alias serveru zadejte alias.

  4. Ve skupinovém rámečku Parametry připojení zadejte do pole Název kanálu název alternativního kanálu (například \\myserver\pipe\altpipe).


Konfigurace klienta kpoužití víceprotokolové síťové knihovny (nástroj Client Network Utility)

Konfigurace klienta k použití víceprotokolové síťové knihovny (nástroj Client Network Utility)

Poznámka: Před vytvořením víceprotokolové klientské konfigurace se ujistěte, že v počítači je víceprotokolově zaveden alespoň jeden protokol IPC (Pojmenované kanály, NWLink IPX/SPX, TCP/IP nebo Windows Sockets).

Konfigurace klienta k použití víceprotokolové síťové knihovny

  1. Klepněte na kartu Alias a potom na tlačítko Přidat.

  2. V dialogovém okně Přidat konfiguraci síťové knihovny klepněte na přepínač Víceprotokolová.

  3. V okni Alias serveru zadejte název instance serveru Microsoft® SQL Server™ sledující víceprotokolovou síťovou knihovnu.

  4. Okno Další parametry nechejte prázdné, pokud server nevyžaduje specifické parametry. Před zadáním parametrů je ověřte u správce systému.


Konfigurace klienta k použití protokolu TCP/IP (nástroj Client Network Utility)

Postup při konfiguraci klienta k použití protokolu TCP/IP

  1. Klepněte na kartu Obecné a potom na tlačítko Přidat.

  2. V dialogovém okně Přidat konfiguraci síťové knihovny klepněte na přepínač TCP/IP.

  3. V okně Alias serveru zadejte alias instance serveru Microsoft® SQL Server™ sledující síťovou knihovnu Windows Sockets.

    S protokolem TCP/IP můžete také zadat místo názvu serveru jeho adresu IP.

  4. Proveďte jednu z následujících činností:
    • Chcete-li určovat port automaticky, zaškrtněte políčko Dynamicky určovat port.

    • Chcete-li port nastavit ručně, zrušte zaškrtnutí políčka Dynamicky určovat port a potom do pole Číslo portu zadejte číslo portu.

Další informace o ostatních protokolech TCP/IP podporujících síťovou knihovnu Windows Sockets naleznete v dokumentaci.


How to configure a client to use the NWLink IPX/SPX network library (Client Network Utility)

Konfigurace klienta k použití síťové knihovny s protokolem NWLink IPX/SPX (nástroj Client Network Utility)

Postup při konfiguraci klienta k použití síťové knihovny s protokolem NWLink IPX/SPX

  1. Klepněte na kartu Alias a potom na tlačítko Přidat.

  2. V dialogovém okně Přidat konfiguraci síťové knihovny klepněte na přepínač NWLink IPX/SPX.

  3. V okně Alias serveru zadejte alias instance serveru Microsoft® SQL Server™ sledující síťovou knihovnu NWLink IPX/SPX.

  4. Ve skupinovém rámečku Parametry připojení klepněte na přepínae Název služby nebo Síťová adresa a pokračujte jednou z následujících činností:
    • Pokud jste klepli na přepínač Název služby, zadejte název služby.

      Název služby je název počítače se systémem Microsoft Windows NT® 4.0 nebo Windows® 2000, ve kterém je spuštěna instance serveru SQL Server. Tento název je uložen v databázi vazeb daného serveru.

    • Pokud jste klepli na přepínač Síťová adresa, zadejte adresu (adresa MAC), port (číslo socketu) a síť (číslo sítě systému NetWare).


Konfigurace klienta kpoužití síťové knihovny sprotokolem AppleTalk (nástroj Client Network Utility)

Konfigurace klienta k použití síťové knihovny s protokolem AppleTalk (nástroj Client Network Utility)

Postup při konfiguraci klienta k použití síťové knihovny AppleTalk

  1. Klepněte na kartu Alias a potom na tlačítko Přidat.

  2. V dialogovém okně Přidat konfiguraci síťové knihovny klepněte na přepínač AppleTalk.

  3. V okně Alias serveru zadejte název instance serveru Microsoft® SQL Server™ sledující síťovou knihovnu AppleTalk.

  4. Ve skupinovém rámečku Parametry připojení zadejte název objektu knihovny AppleTalk a identifikátor volitelné zóny.


Konfigurace klienta kpoužití síťové knihovny sprotokolem Banyan VINES (nástroj Client Network Utility)

Konfigurace klienta k použití síťové knihovny s protokolem Banyan VINES (nástroj Client Network Utility)

Postup při konfiguraci klienta k použití síťové knihovny Banyan VINES

  1. Klepněte na kartu Alias a potom na tlačítko Přidat.

  2. V dialogovém okni Přidat konfiguraci síťové knihovny klepněte na přepínač Banyan VINES.

  3. V okně Alias serveru zadejte alias instance serveru Microsoft® SQL Server™ sledující síťovou knihovnu Banyan VINES.

  4. Ve skupinovém rámečku Parametry připojení zadejte službu a organizaci VINES. Pro skupinu můžete použít výchozí hodnotu serveru MSSQL.


How to configure a client to use the VIA network library (Client Network Utility)

Konfigurace klienta k použití síťové knihovny s protokolem VIA (nástroj Client Network Utility)

Postup při konfiguraci klienta k použití síťové knihovny Banyan VINES

  1. Klepněte na kartu Alias a potom na tlačítko Přidat.

  2. V dialogovém okně Přidat konfiguraci síťové knihovny klepněte na přepínač VIA.

  3. V okně Alias serveru zadejte alias instance serveru Microsoft® SQL Server™ sledující síťovou knihovnu VIA.

  4. Ve skupinovém rámečku Parametry připojení zadejte číslo portu na serveru.


How to configure a client to use a nonstandard network library (Client Network Utility)

Konfigurace klienta k použití nestandardní síťové knihovny (nástroj Client Network Utility)

Postup při konfiguraci klienta k použití nestandardní síťové knihovny

  1. Klepněte na kartu Alias a potom na tlačítko Přidat.

  2. V dialogovém okně Přidat konfiguraci síťové knihovny klepněte na přepínač Jiné.

  3. V okně Alias serveru zadejte alias instance serveru Microsoft® SQL Server™ sledující síťovou knihovnu, kterou chcete nainstalovat.

  4. Ve skupinovém rámečku Parametry připojení zadejte název souboru DLL instalované síťové knihovny. Příponu DLL nezadávejte.

  5. V případě nutnosti zadejte do pole Parametry další informace (například uživatelské jméno a heslo). Parametry oddělte čárkami.


Ověrení, zda SQL Server provádí sledování pomocí protokolu AppleTalk a zda může prijmout pripojení klienta (nástroj Client Network Utility)

Ověření, zda SQL Server provádí sledování pomocí protokolu AppleTalk a zda může přijmout připojení klienta (nástroj Client Network Utility)

Postup při ověření, zda SQL Server provádí sledování pomocí protokolu AppleTalk a zda může přijmout připojení klienta

  1. Zkopírujte síťovou knihovnu protokolu AppleTalk (Dbmsadsn.dll) z adresáře \WINNT\system32 do stejného adresáře vzdáleného počítače se systémem Microsoft® Windows NT® nebo Microsoft Windows 2000 Services for Macintosh®.

  2. Na vzdálené pracovní stanici spusťte klientskou konfiguraci serveru SQL Server.

  3. Pokud je v seznamu Zakázané protokoly uveden protokol AppleTalk, klepněte na položku AppleTalk a potom na tlačítko Povolit.

  4. V seznamu Povolené protokoly podle pořadí klepněte na položku AppleTalk a potom klepejte na tlačítko nahoru, dokud položka AppleTalk není první v seznamu.

  5. Klepněte na tlačítko OK.

  6. Pokuste se o připojení pomocí nástroje ISQL prostřednictvím názvu objektu služby AppleTalk.

    Na příkazový řádek například zadejte:

    isql -Usa -P -Sservicename

    Pokud bylo připojení i spuštění dotazů úspěšné, je server správně nakonfigurován a přijímá připojení.

    Poznámka: Síťová knihovna Microsoft Win32® AppleTalk (ADSP) na straně klienta (Dbmsadsn.dll) je součástí testování spojení ADSP a odstraňování problémů s připojením pomocí protokolu AppleTalk mezi klienty v počítačích Macintosh a serverem Microsoft SQL Server™. Tato síťová knihovna je určena pouze pro testování připojení ze vzdáleného klienta k instanci serveru SQL Server. Pokusíte-li se vytvořit lokální připojení pomocí síťové knihovny ADSP k instanci serveru SQL Server provádějící sledování pomocí protokolu AppleTalk, obdržíte následující síťovou chybu: Net-Library error 11: getsockopt().


Kontrola verze ovladače ODBC SQL Server (systém Windows)

Poznámka: Podle těchto kroků postupujte pouze v případě, že pracujete s operačním systémem Microsoft® Windows NT® 4.0.

Postup při kontrole verze ovladače ODBC SQL Server (32bitové ODBC)

  1. V Ovládacích panelech poklepejte na panel Zdroje dat ODBC.

  2. Klepněte na kartu Ovladače.

    Informace pro server Microsoft SQL Server™ jsou zobrazeny ve sloupci Verze.


Microsoft SQL Server 2000 Copyright and Disclaimer

Microsoft SQL Server 2000 – autorská práva a zřeknutí se práv

Tento dokument včetně obsažených vzorových aplikací je určen pouze k informačním účelům a společnost Microsoft v něm nevyjadřuje žádné záruky, výslovné ani předpokládané. Informace obsažené v tomto dokumentu, včetně vzorových příkladů, adres URL a dalších odkazů na stránky WWW v síti Internet se mohou změnit bez předchozího upozornění. Veškerá rizika spojená s používáním tohoto dokumentu nebo s následky tohoto používání nese uživatel.

Hlavním účelem vzorového příkladu je znázornění pojmu nebo vhodného použití konkrétního příkazu nebo klauzule. Většina vzorových příkladů nezahrnuje celý kód, který je normálně obsažen v plně funkčním systému, protože většina obvyklého ověřování dat a zpracování chyb byla odstraněna, aby mohl být vzorový příklad zaměřen na konkrétní pojem nebo příkaz. Odborná pomoc není u vzorových příkladů ani u uvedeného zdrojového kódu k dispozici.

Pokud není uvedeno jinak, jsou uvedené společnosti, organizace, produkty, osoby a události fiktivní a spojení s jakoukoli skutečnou společností, organizací, produktem, osobou nebo událostí není zamýšleno a nemělo by být vyvozováno. Zodpovědnost za dodržování příslušných autorských práv spočívá na uživateli. Bez omezení autorských práv nemůže být žádná část tohoto dokumentu kopírována, ukládána či zavedena do systému vyhledávání informací či jakýmkoli způsobem šířena (elektronicky, mechanicky, kopírováním, nahráváním nebo jinak) bez ohledu na účel, aniž k tomu společnost Microsoft vydá písemný souhlas.

Společnost Microsoft může vlastnit patenty, patentové přihlášky, ochranné známky, autorská práva či jiná práva týkající se duševního vlastnictví zahrnující předměty témat v tomto dokumentu. S výjimkou případů výslovně uvedených v písemných licenčních smlouvách společnosti Microsoft vám poskytnutím tohoto dokumentu nevznikají žádná oprávnění vůči těmto patentům, ochranným známkám, autorským právům či jinému duševnímu vlastnictví.

©1996-2000 Microsoft Corporation. Všechna práva vyhrazena.

Active Directory, ActiveX, BackOffice, CodeView, Developer Studio, FoxPro, JScript, Microsoft, Microsoft Press, Microsoft SQL Server, MSDN, MS-DOS, Outlook, PivotChart, PivotTable, PowerPoint, Visual Basic, Visual C++, Visual Studio, Win32, Windows 2000, Windows a Windows NT jsou registrované obchodní známky nebo obchodní známky společnosti Microsoft Corporation ve Spojených státech a jiných zemích.

Názvy společností či produktů zmíněné v tomto dokumentu mohou být ochrannými známkami příslušných vlastníků.

Verze: 8.00.000


Informace o tomto tématu naleznete v databázi informací SQL Server Books Online.

©1988-2000 Microsoft Corporation. Všechna práva vyhrazena.